<template>
    <tr>
        <td class="remove">
            <button type="button" class="close-btn close-danger remove-from-cart" @click="remove()">
                <span></span>
                <span></span>
            </button>
        </td>
        <td data-title="Product">
            <div class="andro_cart-product-wrapper">
                <img :src="'/assets/img/coffee/' + item.image" alt="prod1" />
                <div class="andro_cart-product-body">
                    <h6><a href="#">{{item.title}}</a></h6>
                </div>
            </div>
        </td>
        <td data-title="Price"> <strong>{{item.price}} azn</strong> </td>
        <td class="quantity" data-title="Quantity">
            <input type="number" v-model="qty" class="qty form-control" min="1"  />
        </td>
        <td data-title="Total"> <strong>{{ total }}</strong> </td>
    </tr>
</template>

<script>
    import EventBus from '../bus';
    export default {
        name: "CartItemComponent",

        props: ['item'],

        data() {
            return {
                qty: this.item.quantity,
                total: (this.item.quantity * this.item.price).toFixed(2)
            }
        },

        methods: {

            remove() {
                this.$emit('remove', this.item.product_id);
            }
        },

        watch: {
            qty(value) {
                if (value<=0) {return false;}

                axios.patch('/cart/update', {id: this.item.product_id, quantity: value})
                .then((res) => {

                    this.total = (value * this.item.price).toFixed(2);
                    if (res.data) {
                        EventBus.$emit('cart-updated', {
                            sum: res.data.data['sum'],
                            qty: res.data.data['qty']
                        });
                    }
                }).catch((err) => console.log(err));
            }
        }
    }
</script>
